[Digikam-devel] 0.9.0-RC2 packages for testing

Andreas Huggel ahuggel at gmx.net
Wed Dec 6 02:58:17 CET 2006


On Wednesday 06 December 2006 08:27, Achim Bohnet wrote:
>
> Hi Gilles,
>
> is exiv2 really necessary (ignoring localisation;)  Debian
> is short before freeze for etch and has exiv2 0.10
> as a pkgs in it's archive.
>
> How 'dangerous' is an exiv2 0.10 -> 0.12 upgrade?  Is there
> a soname changed involded? 

Yes.

> aka will apps build against 0.10 
> still run when exiv2 0.12 is installed without a rebuild?
> (sorry to late to try it now. I'm sure don't get it right without
> some sleep).

I believe the idea is that the new version can co-exist with the old 
version (different names) so that applications linked with the old 
version are not affected.

(CC'ing Kelemen Peter, the package maintainer)

>
> We, the debian pkg maintainers have to decide about if patching
> configure/digikam to accept 0.10 or uploading 0.12, shortly before
> the new etch release, is the less dangerous option.
>
> A quick check shows that exiv2 is used by debian pkgs:
>   digikamimageplugins
>   digikam
>   ufraw
>   kphotoalbum
>   gimp-ufraw
>
> If a quick exiv2 0.12 upload would breaks them, we get
> 'killed' by the debian release managers.
>
> Thanks for any hint,
> Achim


More information about the Digikam-devel mailing list